mod hello; pub use hello::*;
mod connect; pub use connect::*;

mod register; pub use register::*;
mod auth; pub use auth::*;
mod resume; pub use resume::*;

mod summary; pub use summary::*;

mod session_list; pub use session_list::*;
mod session_view; pub use session_view::*;
mod session_retire; pub use session_retire::*;

mod game_state; pub use game_state::*;
mod game_message; pub use game_message::*;

mod challenge; pub use challenge::*;
mod challenge_answer; pub use challenge_answer::*;
mod challenge_list; pub use challenge_list::*;

mod user_list; pub use user_list::*;
mod user_info; pub use user_info::*;

mod invite_acquire; pub use invite_acquire::*;
mod invite_list; pub use invite_list::*;

mod test_result; pub use test_result::*;

mod prelude {
    pub trait Packet {
        type Data;

        fn encode(&self) -> Vec<u8> { Vec::new() }
        fn decode(_data:&Vec<u8>, _index:&mut usize) -> Result<Self::Data, ()> { Err(()) }
    }
} pub use prelude::*;
